Bug 976997 - SELinux is preventing /usr/libexec/gdm-session-worker from 'create' accesses on the file .xsession-errors.XXTKU0YW.
SELinux is preventing /usr/libexec/gdm-session-worker from 'create' accesses ...
Status: CLOSED DUPLICATE of bug 673719
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cdf9eda1ef87f72e967a6dfeb80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 07:48 EDT by masoudjavadieh
Modified: 2013-07-04 05:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 05:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description masoudjavadieh 2013-06-22 07:48:15 EDT
Description of problem:
using printer canon mf4150 I encounter always with this allert.
SELinux is preventing /usr/libexec/gdm-session-worker from 'create' accesses on the file .xsession-errors.XXTKU0YW.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gdm-session-worker should be allowed create access on the .xsession-errors.XXTKU0YW file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gdm-session-wor /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:user_home_t:s0
Target Objects                .xsession-errors.XXTKU0YW [ file ]
Source                        gdm-session-wor
Source Path                   /usr/libexec/gdm-session-worker
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gdm-3.4.1-3.fc17.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.13-100.fc17.i686.PAE #1 SMP
                              Mon May 13 13:45:03 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-06-22 16:03:42 IRDT
Last Seen                     2013-06-22 16:03:42 IRDT
Local ID                      2dc8a180-51f4-4b94-a5d5-41fe5e2ffdca

Raw Audit Messages
type=AVC msg=audit(1371900822.101:62): avc:  denied  { create } for  pid=1072 comm="gdm-session-wor" name=".xsession-errors.XXTKU0YW" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1371900822.101:62): arch=i386 syscall=open success=no exit=EACCES a0=9ee3620 a1=80c2 a2=180 a3=0 items=0 ppid=1061 pid=1072 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=3 tty=(none) comm=gdm-session-wor exe=/usr/libexec/gdm-session-worker subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gdm-session-wor,xdm_t,user_home_t,file,create

audit2allow

#============= xdm_t ==============
allow xdm_t user_home_t:file create;

audit2allow -R

#============= xdm_t ==============
allow xdm_t user_home_t:file create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.i686.PAE
type:           libreport

Potential duplicate: bug 673719
Comment 1 Fedora End Of Life 2013-07-03 20:58:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Miroslav Grepl 2013-07-04 05:07:55 EDT

*** This bug has been marked as a duplicate of bug 673719 ***

Note You need to log in before you can comment on or make changes to this bug.